package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 服务管理明细(PlatformServeDetail)表实体类
 *
 * @author hgw
 * @since 2021-12-21 15:57:33
 */
@ApiModel(value = "platform_serve_detail-服务管理明细")
public class PlatformServeDetail implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("serve_id_")
    @ApiModelProperty(value = "服务管理表id")
    private Integer serveId;

    @TableField("mode_")
    @ApiModelProperty(value = "付费模式 月/年")
    private String mode;

    @TableField("student_up_limit_")
    @ApiModelProperty(value = "学员上限")
    private Integer studentUpLimit;

    @TableField("original_price_")
    @ApiModelProperty(value = "服务原价")
    private BigDecimal originalPrice;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getServeId() {
        return serveId;
    }

    public void setServeId(Integer serveId) {
        this.serveId = serveId;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public Integer getStudentUpLimit() {
        return studentUpLimit;
    }

    public void setStudentUpLimit(Integer studentUpLimit) {
        this.studentUpLimit = studentUpLimit;
    }

    public BigDecimal getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(BigDecimal originalPrice) {
        this.originalPrice = originalPrice;
    }
}